[Story] Implement Unit Selector widget
Closed, ResolvedPublic1 Story Points

Description

Implementation of the expert and unit selector for fields with data type quantity

Related Objects

Tobi_WMDE_SW updated the task description. (Show Details)
Tobi_WMDE_SW raised the priority of this task from to Normal.
Tobi_WMDE_SW added subscribers: Bene, Lydia_Pintscher, Snipre and 6 others.
Jonas updated the task description. (Show Details)Jul 6 2015, 10:01 AM
Jonas set Security to None.
Jonas added a subscriber: Jonas.
Tobi_WMDE_SW assigned this task to Jonas.Jul 6 2015, 2:26 PM
Tobi_WMDE_SW edited a custom field.
Tobi_WMDE_SW moved this task from Backlog to Doing on the Wikidata-Sprint-2015-06-30 board.
Jc3s5h added a subscriber: Jc3s5h.Jul 20 2015, 5:50 PM
Micru added a subscriber: Micru.Aug 11 2015, 10:07 AM

https://github.com/DataValues/Number/pull/37 is a closely related fix: The backend parser should accept URIs as units.

Conny added a subscriber: Conny.Aug 16 2015, 10:49 AM
Jonas renamed this task from Implement Unit Selector widget to [Story] Implement Unit Selector widget.

Change 222597 had a related patch set uploaded (by Addshore):
Use QuantityInput expert

https://gerrit.wikimedia.org/r/222597

Change 222597 merged by jenkins-bot:
Use QuantityInput expert

https://gerrit.wikimedia.org/r/222597

thiemowmde reopened this task as Open.Aug 26 2015, 3:38 PM

Because we had to revert parts of the solution (tracked in T110183: [Task] Plaintext formatter should render unit ) and we want this to work on beta. This needs T110348: [RFC] Add additional concepturi field to the wbsearchentities API.

Jonas closed this task as Resolved.
Jonas moved this task from Review to Done on the Wikidata-Sprint-2015-08-18 board.